default:
  image: "docker.io/abb128/android-build:v2@sha256:4e544373291dc0866fcfc03a2894eda7e3c939e3686ddf3c45d933433c49b49a"

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  GIT_SUBMODULE_FORCE_HTTPS: "true"

stages:          # List of stages for jobs, and their order of execution
  - build

build:
  stage: build
  tags:
    - docker
  script:
    - ./setUpPropertiesCI.sh
    - gradle assembleRelease -s
    - mv build/outputs/apk/release/latinime-release.apk ./LatinIME-release-$CI_COMMIT_SHORT_SHA.apk
    - ./sendZulipMessage.sh "Alpha Keyboard Build - https://gitlab.futo.org/alex/latinime/-/jobs/$CI_JOB_ID/artifacts/raw/LatinIME-release-$CI_COMMIT_SHORT_SHA.apk"
  artifacts:
    name: "LatinIME-release-$CI_COMMIT_SHORT_SHA"
    paths: 
      - ./*.apk
  when: manual